Bug 1908891 - TestDNSForwarding DNS operator e2e test is failing frequently
Summary: TestDNSForwarding DNS operator e2e test is failing frequently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Stephen Greene
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 19:55 UTC by Stephen Greene
Modified: 2021-02-24 15:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:46:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 226 0 None closed Bug 1908891: test/e2e: Block on TestCoreDNSImageUpgrade image revert 2021-01-11 03:39:06 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:50 UTC

Description Stephen Greene 2020-12-17 19:55:37 UTC
TestDNSForwarding is consistently failing in the e2e-dns-operator job for 4.7.

```
=== RUN   TestDNSForwarding
I1217 19:01:27.128191    6873 request.go:655] Throttling request took 1.0462222s, request: GET:https://api.ci-op-kit3shk3-599c0.origin-ci-int-aws.dev.rhcloud.com:6443/apis/quota.openshift.io/v1?timeout=32s
    operator_test.go:399: failed to find 172.30.204.54 in /etc/coredns/Corefile of pod openshift-dns/dns-default-bkmjt: failed to find "172.30.204.54"
--- FAIL: TestDNSForwarding (216.38s)
```

Pulled from https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_cluster-dns-operator/222/pull-ci-openshift-cluster-dns-operator-master-e2e-aws-operator/1339633528811294720

More examples

https://prow.ci.openshift.org/pr-history/?org=openshift&repo=cluster-dns-operator&pr=222

Presumably related to the 1.20 rebase.

Comment 3 Stephen Greene 2020-12-17 21:09:09 UTC
setting blocker mine since this failure isn't 100%

Comment 4 Stephen Greene 2020-12-17 21:09:24 UTC
(In reply to Stephen Greene from comment #3)
> setting blocker mine since this failure isn't 100%

*minus

Comment 7 Hongan Li 2021-01-14 03:18:42 UTC
moving to verified since didn't see the failure in recently CI job.

Comment 10 errata-xmlrpc 2021-02-24 15:46:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.